SYSREPOCFG(1)

NAME
sysrepocfg - sysrepo configuration manipulation tool

SYNOPSIS
sysrepocfg OPERATION [OPTIONS]

DESCRIPTION
sysrepocfg is a command-line tool for manipulation of YANG data configuration stored in sysrepo. It can modify it in several ways and also send YANG RPCs and notifications.

OPERATION

-h, --help
    Print usage help.

-V, --version
    Print only information about sysrepo version.

-I, --import[=PATH]
    Import the configuration from a file or STDIN.

-X, --export[=PATH]
    Export configuration to a file or STDOUT.

-E, --edit[=PATH/EDITOR]
    Edit configuration data by merging (applying) configuration (edit) data from STDIN or file or by editing the current datastore content using a text editor.

-R, --rpc[=PATH/EDITOR]
    Send a RPC/action read from STDIN, file, or using a text editor. Output is printed to STDOUT.

-N, --notification[=PATH/EDITOR]
    Send a notification read from STDIN, file, or using a text editor.

-C, --copy-from PATH/SOURCE-DATASTORE
    Perform a copy-config from a file or a datastore.

-S, --set XPATH Set the value of a node on the XPath. It is read from STDIN unless '--value' parameter is used.

-G, --get XPATH Get the value of a node on the XPath. It is written to STDOUT unless '--value' parameter is used.

When both a PATH and EDITOR/SOURCE-DATASTORE can be specified, it is always first checked that the file exists. If not, then it is interpreted as the other parameter.

OPTIONS

-d, --datastore DATASTORE
    Datastore to be operated on. Accepted by import, export, edit, copy-from op. DATASTORE is:
     • running (default)
     • startup
     • candidate
     • operational
     • factory-default

-m, --module MODULE
    Module to be operated on, otherwise it is operated on full datastore. Accepted by import, export, edit, copy-from op.

-x, --xpath XPATH
    XPath to select. Accepted by export op.

-f, --format FORMAT
    Data format to be used, by default based on file extension or xml if not applicable. Accepted by all op. DATASTORE is:
     • xml (default)
     • json
     • lyb

-l, --lock
    Lock the specified datastore for the whole operation. Accepted by edit op.

-n, --not-strict
    Silently ignore any unknown data. Accepted by import, edit, rpc, notification, copy-from op.

-o, --opaque
    Parse invalid nodes in the edit into opaque nodes. Accepted by edit op.

-p, --depth DEPTH
    Limit the depth of returned subtrees, 0 (unlimited) by default. Accepted by export op.

-t, --timeout SECONDS
    Set the timeout for the operation, otherwise the default one is used. Accepted by all op.

-e, --defaults WD-MODE
    Print the default values, which are trimmed by default. Accepted by export, edit, rpc op. WD-MODE is:
     • trim (default)
     • report-all
     • report-all-tagged
     • explicit
     • implicit-tagged

-u, --value VALUE/PATH
    Node value to read or the file to write the value into. Accepted by set/get op.

-v, --verbosity LEVEL
    Change verbosity to a level. Accepted by all op. LEVEL can be a string or a number:
     • none/0
     • error/1 (default)
     • warning/2
     • info/3
     • debug/4

SEE ALSO
https://www.sysrepo.org (sysrepo home page)

https://github.com/sysrepo/sysrepo (sysrepo Git repository)

AUTHORS
Michal Vasko <mvasko@cesnet.cz>

COPYRIGHT
Copyright © 2018-2023 CESNET, a.l.e.

Copyright © 2018-2023 Deutsche Telekom AG.